#!/bin/bash
# Installer :]
# (C) 2006 Tomaatti
# The Artistic License. Lue license.txt, joka tuli tämän mukana.

debug Aloitetaan asennusohjelma
function debug {
   echo DEBUG: $*
   echo $* >> debug.log
}

echo Tässä on GUI

debug tarkistetaan xterm

output=`which xterm`; if [ "$output" = "" ]; then
	debug Ei xtermiä
	echo Ei xtermiä
	echo Asenna se ennen tämän ajamista
	exit
fi

debug tarkistetaan zenity
output=`which zenity`; if [ "$output" = "" ]; then
debug ei zenityä
xterm -e "echo Sinulla ei ole asennettuna zenityä.;sleep 1; echo Kirjoita salasanasi; sudo apt-get install zenity; sleep 1; echo Asennettu; sleep 1"
output=`which zenity`;
	if [ "$output" = "" ]; then
		debug Zentityn asennus epäonnistui
		xterm -e "echo Asennus epäonnistui; sleep 2"
		exit
	fi
fi

debug - Haluatko asentaa dialogi
zenity --question --text "Haluatko asentaa tämän gdeskletsin?"
if [ "$?" != 0 ]; then
	debug peruutetaan asennus - käyttäjä
	zenity --info --text "Asennusta ei aloitettu."
	echo Asennus peruutettiin
	exit
fi

debug Tarkistetaan vaatimukset
output=`which php-cgi`; if [ "$output" = "" ]; then puuttuu="true"; fi
output=`which gdesklets`; if [ "$output" = "" ]; then puuttuu="true"; fi

if [ "$puuttuu" = "true" ]; then
	debug Ladataan aptgetillä
	
	output=`which apt-get`; if [ "$output" = "" ]; then zenity --info --text "Sinulla ei ole apt-getiä. Lue README."; debug ei aptia; exit; fi
	
	
	output=`ps -e | grep synaptic`; if [ "$output" != "" ]; then zenity --info --text "Sinulla on auki Synaptic. Sulje se ja aja tämä uudestaan."; debug Auki synaptic; exit; fi
	output=`ps -e | grep adept`; if [ "$output" != "" ]; then zenity --info --text "Sinulla on auki Adept. Sulje se ja aja tämä uudestaan."; debug Auki adept; exit; fi
	output=`ps -e | grep apt-get`; if [ "$output" != "" ]; then zenity --info --text "Sinulla on auki apt-get. Sulje se ja aja tämä uudestaan."; debug Auki apt; exit; fi
	
	zenity --info --text "Tarvitsen asentaa pari tarvittavaa ohjelmaa."
	xterm -e "sudo apt-get install php5-cgi gdesklets"
	zenity --info --text "Kaikki tarvittavat ohjelmat asennettu."
	
fi

debug Kopioidaan tv.php
cp tv.php ~/.tv.php
onkokansio=`ls -a ~/ | grep .gdesklets`
if [ "$onkokansio" = "" ]; then
	mkdir ~/.gdesklets
	mkdir ~/.gdesklets/Displays
	debug Luotiin kansiot gdeskletille.
fi
onkokansio=`ls -a ~/.gdesklets/Displays/ | grep ohjelmatiedot`
if [ "$onkokansio" != "" ]; then
	debug Tuhotaan wanha asennus
	rm -rf ~/.gdesklets/Displays/ohjelmatiedot
fi
debug Luodaan kansio
mkdir ~/.gdesklets/Displays/ohjelmatiedot
debug Kopioidaan tiedostot
# Kopioidaan tiedostot
cp ohjelmatiedot.display ~/.gdesklets/Displays/ohjelmatiedot/
cp ohjelmatiedot2.png ~/.gdesklets/Displays/ohjelmatiedot/
# Ei oikeastaan pakollinen, mutta laitetaan se silti
cp license.txt ~/.gdesklets/Displays/ohjelmatiedot/
debug Valmis
zenity --info --text "Asennettu!"
zenity --question --text "Haluatko käynnistää tämän gdeskletin?"
if [ "$?" = 0 ]; then
	debug Avataan...
	gdesklets open ~/.gdesklets/Displays/ohjelmatiedot/ohjelmatiedot.display
fi
