<?php
#-------------------------------------------
# Copyright		: (C) 2006 Tomaatti
# License		: The Artistic License
# Year:			: 2006
#-------------------------------------------

#-------------------------------------------
#		ASETUKSET
$montako_ohjelmaa_n = 3; // Montako ohjelmaa näytetään
$montako_merk = 33; // Montako merkkiä ohjelman nimestä näytetään.
$kanavat_naky = array("tv1","tv2","mtv","nel","sub"); // Kanavat mitkä näkyvät **
//** Muista tuhota tvcache.dat tiedosto muuttamisen jälkeen tai vaikutuksia ei näy!
// Poista # merkki seuraavasta, jos haluat aktivoida sen.
#@ini_set("user_agent", "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2" ); // Käytetäänkö muuta useragenttia?
#
#-------------------------------------------


// **ÄLÄ MUUTA ENÄÄ**
// Puuttuuko sinulta mitään
if (!is_numeric($montako_ohjelmaa_n) OR !is_numeric($montako_merk)) die("Virheelliset asetukset");

function fixut($string) {
	// gdesklets on _kauhean_ herkkä merkistöstä
	// Rehellisesti sanottuna minulla ei ole käsitystäkään miten sain sen korjattua o.O
	return ereg_replace("[^a-zA-ZäåöÄÅÖ -]","",$string);
}





// Onko cachefilu?
if (is_file("tvcache.dat")) {
	$cachefile = unserialize(file_get_contents("tvcache.dat"));
	if ($cachefile[0] == date("d.j.Y")) {
		$use_cache = true;
		$file = $cachefile[1];
		//print "Käytetään cachea\n";
	}
	else {
	// Wanha cachefixut
	$use_cache = false;
	}
}
else { $use_cache = false; }

// Ei käytetä cachea?
if ($use_cache == false) {
	//print "Hankitaan netistä..\n";
	$kanavatlista = implode("&co[]=",$kanavat_naky);
	$file = file("http://www.yle.fi/ohjelmaopas/index.php?&co[]=".$kanavatlista) or die("Ei voida yhdistää serveriin.");
	//$file = file("http://www.yle.fi/ohjelmaopas/index.php?&co[]=tv1&co[]=tv2&co[]=mtv&co[]=nel&co[]=sub") or die("Ei voida yhdistää serveriin.");
	
	// Cachetus
	$fp = fopen('tvcache.dat', "w");
	$string = serialize(array(date("d.j.Y"),$file));
	$write = fputs($fp, $string);
	fclose($fp);
}



foreach ($file as $rivi) {

// Ooh, ohjelma :)
if ($kanava > 0 AND ereg("ohjelmaopas/ohjelma.php",$rivi)) {
	$arr = explode("&nbsp;",utf8_encode(str_replace(array("\n","\r"),"",strip_tags($rivi))));
	array_push($arr,$kan);
	$ohjelmat[$kan][] = $arr;
}
// ooh Loppu :(
if (ereg("</table></td></tr></table></td>",$rivi)) { $kanava = 0; }
// Kanava tiedossa :)
if (ereg("<table border=0 cellspacing=0 cellpadding=5>",$rivi)) {
	$kanava = $kanava+1;
	$kan = str_replace(array("&nbsp;","\n","\r"),"",strip_tags($rivi));
}


// prums toinen rivi :B
}

// Nyt voimme käsitellä näitä hyvin

$x = 0; unset($kanava);
foreach ($ohjelmat as $ohjel) { // Kanavat
$i = -1; $naa = 0;
	foreach ($ohjel as $puu) { // Ohjelmat
	$i = $i + 1;
	list($klo,$nimi,$kan) = $puu; // Kivaan arrayhyn
	// $klo		:	 AIKA
	// $nimi	:	 OHJELMAN NIMI
	// $kan		:	 KANAVA
	
	
	
	// Jos kanava ei ole sama tai ei sanottu -> sanotaan :)
	if ($kan != $kanava) { print " - - - - ".$kan." - - - - - - - -\n"; $kanava = $kan; }
	
	$minunaika = 60*date("H")+date("i");
	$uusx = $i + 1;
	//print "Seuraava ohjelma $i $uusx : ".print_r($ohjel[$uusx],true);
	list($h,$m) = explode(".",$ohjel[$uusx][0]);
	$sinunaika = 60*$h+$m;
	//print "Minun aikani: $minunaika Sinun aika: $sinunaika \n";
	
	if ($minunaika <= $sinunaika AND $naa < $montako_ohjelmaa_n) {
	// Näytetään ohjelma
	
	//$oletkolahella = ereg_replace("[a-zA-Z0-9","",substr($nimi,($montako_merk - 2),($montako_merk + 2)));
	print "$klo ".mb_substr(fixut($nimi),0,$montako_merk,"UTF-8")." \n";
	$naa = $naa + 1;
	}

	

	}


$x++;
}

//print_r($ohjelmat);



?>
